Delete user
DELETE/nevisidm/api/scim/v1/:clientExtId/Users/:id
Deletes a user and all related resources (credentials, profiles, authorizations). The user must belong to the client specified by clientExtId in the URL path.
Request
Path Parameters
Client's external identifier.
User's internal identifier.
Responses
- 204
- 400
- 404
User deleted successfully
- application/json
- Schema
- Example (from schema)
Schema
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
]
}
Invalid SCIM request
- application/json
- Schema
- Example (from schema)
- User ID not parseable
- User does not belong to client
Schema
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
status HttpStatusCoderequired
The HTTP status code.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
A SCIM detail error keyword.
A detailed human-readable message.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"status": 400,
"scimType": "invalidValue",
"detail": "The requested user '999' does not exist in IDM database."
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
"status": "BAD_REQUEST",
"scimType": "invalidValue",
"detail": "The requested user 'abc' cannot be parsed as number."
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
"status": "BAD_REQUEST",
"scimType": "invalidValue",
"detail": "The requested user does not belong to the actual client."
}
SCIM user not found
- application/json
- Schema
- Example (from schema)
- User not found
Schema
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
status HttpStatusCoderequired
The HTTP status code.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
A SCIM detail error keyword.
A detailed human-readable message.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"status": 400,
"scimType": "invalidValue",
"detail": "The requested user '999' does not exist in IDM database."
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
"status": "NOT_FOUND",
"scimType": "invalidValue",
"detail": "The requested user '999' does not exist in IDM database."
}